org.apache.mina.core.filterchain

## Interface IoFilterChainBuilder

- All Known Implementing Classes:
    DefaultIoFilterChainBuilder

      public interface IoFilterChainBuilder

  An interface that builds `IoFilterChain` in predefined way when `IoSession` is created. You can extract common filter chain modification logic to this interface. For example, to add a filter to the chain,

       public class MyFilterChainBuilder implements IoFilterChainBuilder {
           public void buildFilterChain( IoFilterChain chain ) throws Exception {
               chain.addLast( "myFilter", new MyFilter() );
           }
       }

  Author:
    Apache MINA Project

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IoFilterChainBuilder` | `NOOP` An implementation which does nothing.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildFilterChain(IoFilterChain chain)` Modifies the specified `chain`.

- - ### Field Detail

    - #### NOOP

          static final IoFilterChainBuilder NOOP

      An implementation which does nothing.

  - ### Method Detail

    - #### buildFilterChain

          void buildFilterChain(IoFilterChain chain)
                                throws Exception

      Modifies the specified `chain`.
      Throws:
        `Exception`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.